<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: gtest_help_test.GTestHelpTest Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classgtest__help__test_1_1GTestHelpTest.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">gtest_help_test.GTestHelpTest Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for gtest_help_test.GTestHelpTest:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classgtest__help__test_1_1GTestHelpTest__inherit__graph.svg" width="230" height="112"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for gtest_help_test.GTestHelpTest:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classgtest__help__test_1_1GTestHelpTest__coll__graph.svg" width="230" height="112"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a26cc1a64bd67278252ebfcd0ac0dca0c"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgtest__help__test_1_1GTestHelpTest.html#a26cc1a64bd67278252ebfcd0ac0dca0c">TestHelpFlag</a> (self, flag)</td></tr>
<tr class="separator:a26cc1a64bd67278252ebfcd0ac0dca0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03ffa91ecf6193ed2ed80b53933112ab"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgtest__help__test_1_1GTestHelpTest.html#a03ffa91ecf6193ed2ed80b53933112ab">TestNonHelpFlag</a> (self, flag)</td></tr>
<tr class="separator:a03ffa91ecf6193ed2ed80b53933112ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad91b46ad4506ff52b337b63f6b6c2ad1"><td class="memItemLeft" align="right" valign="top"><a id="ad91b46ad4506ff52b337b63f6b6c2ad1"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testPrintsHelpWithFullFlag</b> (self)</td></tr>
<tr class="separator:ad91b46ad4506ff52b337b63f6b6c2ad1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3dd96058d093a89350769b4e2cc36563"><td class="memItemLeft" align="right" valign="top"><a id="a3dd96058d093a89350769b4e2cc36563"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testPrintsHelpWithShortFlag</b> (self)</td></tr>
<tr class="separator:a3dd96058d093a89350769b4e2cc36563"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafd4d1857c2538c8b1f7cc5a5d1e38b4"><td class="memItemLeft" align="right" valign="top"><a id="aafd4d1857c2538c8b1f7cc5a5d1e38b4"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testPrintsHelpWithQuestionFlag</b> (self)</td></tr>
<tr class="separator:aafd4d1857c2538c8b1f7cc5a5d1e38b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7be99cd30193e2eecf79f9d65f561afc"><td class="memItemLeft" align="right" valign="top"><a id="a7be99cd30193e2eecf79f9d65f561afc"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testPrintsHelpWithWindowsStyleQuestionFlag</b> (self)</td></tr>
<tr class="separator:a7be99cd30193e2eecf79f9d65f561afc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a701abb8f34df726b9129d7654cb32066"><td class="memItemLeft" align="right" valign="top"><a id="a701abb8f34df726b9129d7654cb32066"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testPrintsHelpWithUnrecognizedGoogleTestFlag</b> (self)</td></tr>
<tr class="separator:a701abb8f34df726b9129d7654cb32066"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8d379bbb0da7403ced599f4ee498728"><td class="memItemLeft" align="right" valign="top"><a id="ab8d379bbb0da7403ced599f4ee498728"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>testPrintsHelpWithIncorrectFlagStyle</b> (self)</td></tr>
<tr class="separator:ab8d379bbb0da7403ced599f4ee498728"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7831f92e8e3763c07afb908915b3d20"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgtest__help__test_1_1GTestHelpTest.html#ae7831f92e8e3763c07afb908915b3d20">testRunsTestsWithoutHelpFlag</a> (self)</td></tr>
<tr class="separator:ae7831f92e8e3763c07afb908915b3d20"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ebec2e3154d22a63e362d2196f9c638"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgtest__help__test_1_1GTestHelpTest.html#a0ebec2e3154d22a63e362d2196f9c638">testRunsTestsWithGtestInternalFlag</a> (self)</td></tr>
<tr class="separator:a0ebec2e3154d22a63e362d2196f9c638"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">Tests the --help flag and its equivalent forms.</pre> </div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a26cc1a64bd67278252ebfcd0ac0dca0c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a26cc1a64bd67278252ebfcd0ac0dca0c">&#9670;&nbsp;</a></span>TestHelpFlag()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def gtest_help_test.GTestHelpTest.TestHelpFlag </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>flag</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Verifies correct behavior when help flag is specified.

The right message must be printed and the tests must
skipped when the given flag is specified.

Args:
  flag:  A flag to pass to the binary or None.
</pre> 
</div>
</div>
<a id="a03ffa91ecf6193ed2ed80b53933112ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a03ffa91ecf6193ed2ed80b53933112ab">&#9670;&nbsp;</a></span>TestNonHelpFlag()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def gtest_help_test.GTestHelpTest.TestNonHelpFlag </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>flag</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Verifies correct behavior when no help flag is specified.

Verifies that when no help flag is specified, the tests are run
and the help message is not printed.

Args:
  flag:  A flag to pass to the binary or None.
</pre> 
</div>
</div>
<a id="a0ebec2e3154d22a63e362d2196f9c638"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0ebec2e3154d22a63e362d2196f9c638">&#9670;&nbsp;</a></span>testRunsTestsWithGtestInternalFlag()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def gtest_help_test.GTestHelpTest.testRunsTestsWithGtestInternalFlag </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Verifies that the tests are run and no help message is printed when
a flag starting with Google Test prefix and 'internal_' is supplied.</pre> 
</div>
</div>
<a id="ae7831f92e8e3763c07afb908915b3d20"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae7831f92e8e3763c07afb908915b3d20">&#9670;&nbsp;</a></span>testRunsTestsWithoutHelpFlag()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def gtest_help_test.GTestHelpTest.testRunsTestsWithoutHelpFlag </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Verifies that when no help flag is specified, the tests are run
and the help message is not printed.</pre> 
</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>gtest_help_test.py</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>gtest_help_test</b></li><li class="navelem"><a class="el" href="classgtest__help__test_1_1GTestHelpTest.html">GTestHelpTest</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
